### Function

# GdkPixbuf PixbufModuleLoadAnimationFunc

#### Declaration

    GdkPixbufAnimation*
    (* GdkPixbufModuleLoadAnimationFunc) (
      FILE* f,
      GError** error
    )

#### Description [src]

Loads a file from a standard C file stream into a new `GdkPixbufAnimation`.

In case of error, this function should return `NULL` and set the `error` argument.

#### Parameters

`f`

  Type: `FILE*`

  The file stream from which the image should be loaded.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbufAnimation`

A newly created `GdkPixbufAnimation` for the contents of the file.

The caller of the function takes ownership of the data, and is responsible for freeing it.